Unbound failing to install on 2.1.1 march 3



  • Beginning package installation for Unbound .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Unbound and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/amd64/8/All/unbound-1.4.21_3-amd64.pbi ...  could not download from there or http://files.pfsense.org/packages/amd64/8/All//unbound-1.4.21_3-amd64.pbi.
    of unbound-1.4.21_3-amd64 failed!

    Installation aborted.Removing package...
    Starting package deletion for unbound-1.4.21_3-amd64...done.
    Removing Unbound components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file unbound.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    done.
    Failed to install package.

    Installation halted.



  • I get the same thing after updating to the latest snapshot today.



  • I'm having the same problem.  I've always stayed on the release path.  The problem seems to be that my pfsense box(2.1-RELEASE-i386) thinks that the latest version is 1.4.21_3.  But, the download fails because http://files.pfsense.org/packages/8/All/unbound-1.4.21_3-i386.pbi doesn't exist.  However, http://files.pfsense.org/packages/8/All/unbound-1.4.21_1-i386.pbi does exist.  I had 1.4.21_1 installed but my box said there was an update available.  Went to install it and it uninstalled the old version, then couldn't install the new version.  /sigh.

    So I see 2 possible fixes:

    1.  Whatever system is telling pfsense boxes that 1.4.21_3 exists should instead point to 1.4.21_1 again.
    2.  1.4.21_3 needs to be updated on the files.pfsense.org site.

    Do I need to put in a ticket or something to get this solved?  I'm not a regular forum poster so I'm not sure what actually went wrong or how to inform the appropriate people that it needs to be fixed.

    In the meantime, I can download the PBI file manually, but I'm not sure how you can actually install it.

    Beginning package installation for Unbound .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Unbound and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/8/All/unbound-1.4.21_3-i386.pbi ...  could not download from there or http://files.pfsense.org/packages/8/All//unbound-1.4.21_3-i386.pbi.
    of unbound-1.4.21_3-i386 failed!

    Installation aborted.Backing up libraries...
    Removing package...
    Starting package deletion for unbound-1.4.21_3-i386...done.
    Removing Unbound components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file unbound.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... done.
    Failed to install package.

    Installation halted.



  • A mistake on my part apologies on that - but fixed.


Log in to reply